## org.metaabm.act.provider
Class RelatedActsItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider
                  org.metaabm.provider.TransientGroupedItemProvider
                      org.metaabm.act.provider.RelatedActsItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

    public class RelatedActsItemProvider

extends TransientGroupedItemProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`RelatedActsItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.ecore.EObject parent, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.String title)`

Method Summary
`java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>` `getChildrenFeatures(java.lang.Object object)`
`org.eclipse.emf.ecore.EStructuralFeature` `getFeature()`
`java.lang.Object` `getImage(java.lang.Object object)`
`java.lang.String` `getText(java.lang.Object object)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`

Methods inherited from class org.metaabm.provider.TransientGroupedItemProvider
`createCommand, getChildren, getCreateChildDescription, getNewChildDescriptors, getParent, getResourceLocator`

Methods inherited from class org.metaabm.provider.MetaABMItemProvider
`getColumnImage, getColumnText, getCreateChildImage, ids, idsCaps, inputVals, isDisplayAttributeReferences, labels, providerFor, setDisplayAttributeReferences, suggestID, suggestLabel, texts`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, crop, dispose, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getPropertyDescriptor, getPropertyDescriptors, getPropertyValue, getString, getString, getString, getString, getUpdateableText, hasChildren, isAdapterForType, isPropertySet, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor, getPropertyDescriptors`

Constructor Detail

### RelatedActsItemProvider

    public RelatedActsItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                   org.eclipse.emf.ecore.EObject parent,
                                   org.eclipse.emf.ecore.EStructuralFeature feature,
                                   java.lang.String title)

Method Detail

### getChildrenFeatures

    public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  Overrides:
    `getChildrenFeatures` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getText

    public java.lang.String getText(java.lang.Object object)

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getFeature

    public org.eclipse.emf.ecore.EStructuralFeature getFeature()

  Returns:
    the feature

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`